Products
Returns a list of all products in your organization.
Caps the page size. Defaults to 1000, which is also the maximum; a value below 1 or above 1000 is rejected.
1000If not set, all products will be considered.
The identifiers of the products in the ERP/MES. If not set, all products will be considered.
6009400032Only products with at least one production run on one of these machines will be returned. If not set, all products will be considered.
Filter products based on a partial, case-insensitive match of their external id or name. Use external-id: or name: to limit the search to the respective field.
301292Pattern: ^(?:(?P<prefix>external-id|name):(?P<prefixed_value>.*)|(?P<value>.+))$Successful Response
Validation Error
GET /api/v2/products HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"external_id": "6009400032",
"name": "text",
"managed_by": {
"type": "text"
}
}
],
"metadata": {
"next_cursor": "text"
}
}Create a product.
The identifier of the product in the ERP/MES.
6009400032An optional, more verbose name or description of the product.
Successful Response
The UUID of the product.
The identifier of the product in the ERP/MES.
6009400032An optional, more verbose name or description of the product.
Who maintains this product. synchronization if any of the machines it is produced on is maintained by a synchronization process — its products come with the orders that process writes, so the write endpoints refuse to change them.
Conflict
Validation Error
POST /api/v2/products HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 42
{
"external_id": "6009400032",
"name": "text"
}{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"external_id": "6009400032",
"name": "text",
"managed_by": {
"type": "text"
}
}Returns details for a specific product.
Successful Response
The UUID of the product.
The identifier of the product in the ERP/MES.
6009400032An optional, more verbose name or description of the product.
Who maintains this product. synchronization if any of the machines it is produced on is maintained by a synchronization process — its products come with the orders that process writes, so the write endpoints refuse to change them.
Validation Error
GET /api/v2/products/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"external_id": "6009400032",
"name": "text",
"managed_by": {
"type": "text"
}
}Delete a product. Refused while it is referenced by any production run.
Successful Response
No content
Not Found
Conflict
Validation Error
DELETE /api/v2/products/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No content
Update a product. Changing the external_id is refused if the product is synchronized from an external system.
Successful Response
The UUID of the product.
The identifier of the product in the ERP/MES.
6009400032An optional, more verbose name or description of the product.
Who maintains this product. synchronization if any of the machines it is produced on is maintained by a synchronization process — its products come with the orders that process writes, so the write endpoints refuse to change them.
Not Found
Conflict
Validation Error
PATCH /api/v2/products/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"external_id": "text",
"name": "text"
}{
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"external_id": "6009400032",
"name": "text",
"managed_by": {
"type": "text"
}
}Last updated